Login | Register
My pages Projects Community openCollabNet

Discussions > commits > svn commit: r2471 - branches/fsvs-1.2.x/fsvs/tests/067_readonly_repo

fsvs
Discussion topic

Back to topic list

svn commit: r2471 - branches/fsvs-1.2.x/fsvs/tests/067_readonly_repo

Author pmarek
Full name P.Marek
Date 2013-06-28 03:43:42 PDT
Message Author: pmarek
Date: 2013-06-28 03:43:41-0700
New Revision: 2471

Added:
   branches/fsvs-1.2.x/​fsvs/tests/067_reado​nly_repo (contents, props changed)

Log:
Added a test for readonly repositories.

Added: branches/fsvs-1.2.x/​fsvs/tests/067_reado​nly_repo
Url: http://fsvs.tigris.o​rg/source/browse/fsv​s/branches/fsvs-1.2.​x/fsvs/tests/067_rea​donly_repo?view=mark​up&pathrev=2471
====================​====================​====================​==================
--- (empty file)
+++ branches/fsvs-1.2.x/​fsvs/tests/067_reado​nly_repo 2013-06-28 03:43:41-0700
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -e
+$PREPARE_DEFAULT > /dev/null
+$INCLUDE_FUNCS
+cd $WC
+
+TMP=$LOGDIR/067.msg
+
+date > blabla
+chmod 765 tree/c
+
+
+function ER
+{
+ msg=$1
+ shift
+ if $@ &> $TMP
+ then
+ $ERROR "Shouldn't succeed."
+ else
+ echo "Got an error:"
+ cat $TMP
+ if grep -F "$msg" $TMP
+ then
+ $SUCCESS "correct message."
+ else
+ $ERROR "wrong message"
+ fi
+ fi
+}
+
+
+$INFO "ci to inaccessible dir"
+# chmod goes top-down, which doesn't work with removing rights.
+find $REP -depth | xargs chmod 000
+ER "Couldn't open a repository (180001)" $BINq ci -m "RO"
+
+$INFO "ci to readonly dir"
+chmod -R 555 $REP
+ER "Permission denied (13)" $BINq ci -m "RO"
+
+chmod -R 777 $REP
+

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

svn commit: r2471 - branches/fsvs-1.2.x/fsvs/tests/067_readonly_repo pmarek P.Marek 2013-06-28 03:43:42 PDT
Messages per page: